%define upstream_name    Regexp-Trie
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Builds trie-ized regexp
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module is a faster but simpler version of the Regexp::Assemble manpage
or the Regexp::Optimizer manpage. It builds a trie-ized regexp as above.

This module is faster than the Regexp::Assemble manpage but you can only
add literals. 'a+b' is treated as 'a\+b', not "more than one a's followed
by b".

I wrote this module because I needed something faster than the
Regexp::Assemble manpage and the Regexp::Optimizer manpage. If you need
more minute control, use those instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.20.0-2.mga8
+ Revision: 1522627
- Mageia 8 Mass Rebuild

* Mon Feb 04 2019 tv <tv> 0.20.0-1.mga7
+ Revision: 1363105
- imported package perl-Regexp-Trie


* Mon Feb 04 2019 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
